DNS Zones

Scan And Import Dns

post/dns/zones/{zone_uuid}/scan

Scan existing DNS records for the domain and optionally import them.

Queries public DNS servers to discover existing records for the domain. Useful for migrating from another DNS provider.

If auto_import is true, the discovered records are created in the zone. If false, the discovered records are only returned, without importing them. Imported records start being served once the zone is verified.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Query parameters

auto_import?boolean

Automatically import found records

Defaulttrue

Responses

Successful Response

application/json

imported*integer
skipped*integer
errors*array<string>
records*array<DNSRecordOut>
Properties (12)
uuid*string
name*string
record_type*DNSRecordType
Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"
content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formatdate-time
updated_at*string
Formatdate-time